Subject: bug#62892: proposal to extend mark-sexp to go forward and backward on command

From: Daniel Martín <[email-masked]>
Date: Wed, 26 Apr 2023 00:26:32 +0200

Zachary Kanfer <[email-masked]> writes:

>
> Also, whatever the outcome of this patch, I think it would be advisable to
> explain somewhere how mark-sexp extends region by the end of region
> opposite point; this is not in the docstring or any other documentation
> I've seen.
>

In my opinion, the description of that feature should not be part of the
mark-sexp command documentation, because the feature is actually
provided by C-x C-x (exchange-point-and-mark).  The Emacs manual in
section 12.1 Setting the Mark describes this use case well, I think:

‘C-x C-x’ is useful when you are
satisfied with the position of point but want to move the other end of
the region (where the mark is).